# Class TCefSSLStatusRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFSSLStatus

## Declaration

`type TCefSSLStatusRef = class(TCefBaseRefCountedRef, ICefSSLStatus)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefSSLStatusRef

## Overview

### Methods

| `function IsSecureConnection: boolean;`
| `function GetCertStatus: TCefCertStatus;`
| `function GetSSLVersion: TCefSSLVersion;`
| `function GetContentStatus: TCefSSLContentStatus;`
| `function GetX509Certificate: ICefX509Certificate;`
| `class function UnWrap(data: Pointer): ICefSSLStatus;`

## Description

### Methods

| `function IsSecureConnection: boolean;`
This item has no description. Showing description inherited from ICefSSLStatus.IsSecureConnection. Returns true (1) if the status is related to a secure SSL/TLS connection.

| `function GetCertStatus: TCefCertStatus;`
This item has no description. Showing description inherited from ICefSSLStatus.GetCertStatus. Returns a bitmask containing any and all problems verifying the server certificate.

| `function GetSSLVersion: TCefSSLVersion;`
This item has no description. Showing description inherited from ICefSSLStatus.GetSSLVersion. Returns the SSL version used for the SSL connection.

| `function GetContentStatus: TCefSSLContentStatus;`
This item has no description. Showing description inherited from ICefSSLStatus.GetContentStatus. Returns a bitmask containing the page security content status.

| `function GetX509Certificate: ICefX509Certificate;`
This item has no description. Showing description inherited from ICefSSLStatus.GetX509Certificate. Returns the X.509 certificate.

| `class function UnWrap(data: Pointer): ICefSSLStatus;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.